curl --request GET \
--url https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credit_allocation": {
"buffer_pool_contribution_kg": 123,
"supplier_allocation_kg": 123
},
"credits_issued_at": "2023-11-07T05:31:56Z",
"ghg_entry_ids": [
"rmv_1EEM6NJXX1S0EXKD"
],
"ghg_statement_report_url": "<string>",
"id": "ggs_1GDQJ99Z51S0DYW9",
"pending_total_co2e_removed_kg": 123,
"project_id": "prj_1CTWZQGKE1S0VAXA",
"removal_ids": [
"rmv_1EEM6NJXX1S0EXKD"
],
"reporting_period_end_at": "2023-12-25",
"reporting_period_start_at": "2023-12-25",
"status": "DRAFT",
"submitted_at": "2023-11-07T05:31:56Z",
"verifier": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Get Ghg Statement
Get a single GHG statement
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
20 - 37"ggs_1GDQJ99Z51S0DYW9"
"ggs_1FWVEQRWSSBXK3NB"
Response
Successful Response
The split of issuable credits between the supplier and buffer pool. None if any entry's risk_of_reversal_percentage is not set.
Show child attributes
Show child attributes
20 - 3720 - 37"ggs_1GDQJ99Z51S0DYW9"
"ggs_1FWVEQRWSSBXK3NB"
If the GHG statement has pending changes, this is the net CO₂e removed by the entries in the GHG statement, including any changes that are pending. If the GHG statement has no pending changes, this is None.
20 - 37"prj_1CTWZQGKE1S0VAXA"
"prj_1E0QTWB22SBX34D1"
20 - 37End date of the reporting period (inclusive)
Start date of the reporting period (inclusive)
DRAFT, AWAITING_VERIFICATION, VERIFIED, CREDITS_ISSUED, FAILED_VERIFICATION Name of the verifier of the GHG statement
Was this page helpful?